Bug 25629 - Fix capitalization in sample notices
Summary: Fix capitalization in sample notices
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-31 13:20 UTC by Katrin Fischer
Modified: 2020-08-03 23:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25629: Fix capitalization in sample notices (57.37 KB, patch)
2020-05-31 13:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25629: Fix capitalization in sample notices (57.42 KB, patch)
2020-07-07 14:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25629: Fix capitalization in sample notices (57.43 KB, patch)
2020-07-21 14:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-31 13:20:34 UTC
The capitalzation in sample notices is inconsistent. We can at least fix this for new installations.
Comment 1 Katrin Fischer 2020-05-31 13:25:46 UTC
Created attachment 105442 [details] [review]
Bug 25629: Fix capitalization in sample notices

This fixes the capitalization in sample notices files to
follow coding-guidelines. Only applies to English, translations
remain unchanged.

Additional fixes:
- Overdues slip added the letter code as subject instead of the description
- Opac changed to OPAC for self-registration verification emails

German (de-DE) file was not changed, as there is a pending translation
bug that will take care of these (bug 25129).

To test:
- Verify changes by running the web installer for the changed
  files and verify sample notices install without error
- Verify subjects and notice descriptions are correct
- Run tests in t/db_dependent/Letters*
Comment 2 Owen Leonard 2020-07-07 14:13:58 UTC
Created attachment 106635 [details] [review]
Bug 25629: Fix capitalization in sample notices

This fixes the capitalization in sample notices files to
follow coding-guidelines. Only applies to English, translations
remain unchanged.

Additional fixes:
- Overdues slip added the letter code as subject instead of the description
- Opac changed to OPAC for self-registration verification emails

German (de-DE) file was not changed, as there is a pending translation
bug that will take care of these (bug 25129).

To test:
- Verify changes by running the web installer for the changed
  files and verify sample notices install without error
- Verify subjects and notice descriptions are correct
- Run tests in t/db_dependent/Letters*

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2020-07-21 14:25:16 UTC
Created attachment 107153 [details] [review]
Bug 25629: Fix capitalization in sample notices

This fixes the capitalization in sample notices files to
follow coding-guidelines. Only applies to English, translations
remain unchanged.

Additional fixes:
- Overdues slip added the letter code as subject instead of the description
- Opac changed to OPAC for self-registration verification emails

German (de-DE) file was not changed, as there is a pending translation
bug that will take care of these (bug 25129).

To test:
- Verify changes by running the web installer for the changed
  files and verify sample notices install without error
- Verify subjects and notice descriptions are correct
- Run tests in t/db_dependent/Letters*

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-07-21 14:26:14 UTC
Nice fix, Passing QA
Comment 5 Jonathan Druart 2020-07-22 08:31:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-28 15:02:18 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-03 23:31:04 UTC
enhancement, not backported to 19.11.x